package com.example.demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class Kalkulatorek {
	
	@RequestMapping("/kalkulatorek")
	public String dzialaj(Model model, Integer liczba1, Integer liczba2, String operacja) {
		if(liczba1 != null && liczba2 != null) {
			Integer wynik = switch(operacja) {
				case "+" -> liczba1 + liczba2;
				case "-" -> liczba1 - liczba2;
				case "*" -> liczba1 * liczba2;
				case "/" -> liczba1 / liczba2;
				default  -> 0;
			};
			model.addAttribute("wynik", wynik);
		}
		
		return "kalkulatorek.html";
	}
	
}
